%define rel 3
%define kraftlib %mklibname kraft

Name:           kraft
Url:            http://volle-kraft-voraus.de/Main/Kraft

Version:        0.45
Release:        %mkrel %rel
License:        GPLv2
Summary:        KDE software to manage office documents in the office
Group:          Graphical desktop/KDE
Source0:        http://downloads.sourceforge.net/project/%name/%name/%version/%name-%version.tar.bz2
Patch0:         kraft-0.45-fix-lib-install.patch
BuildRequires:  kdepimlibs4-devel
BuildRequires:  pkgconfig(libctemplate)

# Needed by the tools/erml2pdf.py python script
Requires:       python-reportlab
Requires:       python-pypdf


%description
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company 
daily tasks can be done in a smart manner.

Provided features are:
 -Customer management, deeply integrated in the KDE infrastructure using
  KAddressbook
 -Automated creation of offers, invoices and similar documents
 -Text templates
 -Calculation
 -Material management
 -Configurable document creation in PDF format 


%files -f %{name}.lang
%doc AUTHORS COPYING README Releasenotes.txt TODO
%{_kde_bindir}/kraft
%{_kde_bindir}/kplant
%{_kde_datadir}/icons/*/*/*/*.png
%{_kde_datadir}/config.kcfg/kraftsettings.kcfg
%{_kde_datadir}/config.kcfg/databasesettings.kcfg
%{_kde_iconsdir}/*/*/apps/*.png
%{_kde_iconsdir}/*/*/actions/*.png
%{_kde_appsdir}/kraft/
%{_kde_appsdir}/kplant/
%{_kde_applicationsdir}/kraft.desktop

#------------------------------------------------------------------------------

%package -n %{kraftlib}
Summary: Runtime library for kraft
Group:   System/Libraries

%description -n %{kraftlib}
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company
daily tasks can be done in a smart manner.

This packages provides the runtime library for kraft

%files -n %{kraftlib}
%{_kde_libdir}/libkraftcat.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kde4 
%make

%install
%makeinstall_std -C build
%find_lang %{name}
chmod 755 %{buildroot}%{_kde_appsdir}/kraft/tools/erml2pdf.py


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.45-3.mga3
+ Revision: 356459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 0.45-2.mga3
+ Revision: 279440
- rebuild for new ctemplate

* Wed Nov 09 2011 mikala <mikala> 0.45-1.mga2
+ Revision: 165701
- Rediff patch0
- Update tarball to 0.45

* Tue Nov 08 2011 mikala <mikala> 0.44-1.mga2
+ Revision: 165400
- imported package kraft

